/*-------------------------------------------------------------------------
 *
 * pgtclId.h--
 *    useful routines to convert between strings and pointers
 *  Needed because everything in tcl is a string, but often, pointers
 *  to data structures are needed.
 *    
 *
 * Copyright (c) 1994, Regents of the University of California
 *
 * $Id: pgtclId.h,v 1.3 1996/08/15 19:23:56 kunkee Exp $
 *
 *-------------------------------------------------------------------------
 */

int PgSetId(Tcl_Interp *interp, void *ptr, int type);
void PgDelId(Tcl_Interp *interp, void *ptr);
void * PgGetId(Tcl_Interp *interp, char *id, int type);
void Pg_cleanup(ClientData cd, Tcl_Interp *interp);
void Pg_InitId(Tcl_Interp *interp);
int Pg_dump(ClientData cData, Tcl_Interp *interp, int argc, char* argv[]);
int Pg_handle(ClientData cData, Tcl_Interp *interp, int argc, char **argv);

#define PG_TYPE_MASK 0x1
#define PG_TYPE_DBCONN 0x0
#define PG_TYPE_RESULT 0x1
#define PG_TYPE_BITS 0x1
#define PGKEY "PgTcl"
